Subject: bug#8492: 23.3; Time to use a different binding for completion?

From: Reuben Thomas <[email-masked]>
Date: Thu, 21 Apr 2011 20:34:46 +0100

On 21 April 2011 19:49, Lennart Borgman <[email-masked]> wrote:
> On Thu, Apr 21, 2011 at 4:13 PM, Drew Adams <[email-masked]> wrote:
>>> >> > Currently, the "usable default" is ESC TAB.
>>> >>
>>> >> Which does not work at all if you use Viper.
>>> >
>>> > We should not change Emacs default bindings based on the
>>> > bindings of Viper - or of any other emulator - or of any
>>> > other mode etc.
>>>
>>> Thanks for your view, Drew, but I found this statement of you just
>>> unusable and unnecessary here.
>>
>> You claim that a given default key "does not work at all" if you put yourself in
>> a special emulation mode.  So what?  If I play chess in checkers mode should I
>> expect the default, chess binding of each piece to still "work" in checkers?
>
> This is just plain stupid. Viper is not just any emulation mode. It
> happen to be key bindings a lot of potential and current Emacs users
> knows.

I don't understand why there's even an argument here. Viper is a mode
with a radically different approach to keybinding, so what does it
have to do with the default keybindings? It's clearly unreasonable to
expect default single-chord keybindings to take it into account.

-- 
http://rrt.sc3d.org